Machines
Create Machine
Create Machine
POST
/v2/machinesRequest Body
kindstringoptionalMachine implementation to use. Must be a registered kind.
agent_idobjectoptionalOptional agent to associate this machine with (for cost / ownership rollups). The machine is NOT tied to any task.
snapshotobjectoptionalOptional per-provider image/snapshot override.
metadataobjectoptionalFreeform string→string labels stored on the machine.
Request
curl --request POST \
--url https://api.brainbaselabs.com/v2/machines \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"kind": "daytona",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"snapshot": "string",
"metadata": {
"property1": "string",
"property2": "string"
}
}'Response
json{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "string",
"external_id": "string",
"status": "starting",
"region": "string",
"owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"snapshot": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"last_seen_at": "2019-08-24T14:15:22Z",
"destroyed_at": "2019-08-24T14:15:22Z"
}